
#include <QObject>
#include <QtUiPlugin/QDesignerCustomWidgetInterface>
#include <QString>
#include <QWidget>
#include <QIcon>
#include <QtPlugin>

#include "LEDPlugin.h"
#include "LED.h"

LEDPlugin::LEDPlugin(QObject* parent) :
	QObject(parent)
{
}

void LEDPlugin::initialize(QDesignerFormEditorInterface * /* core */)
{
   if(initialized)
      return;

   initialized = true;
   return;
}

bool LEDPlugin::isInitialized() const
{
   return initialized;
}

QString LEDPlugin::name() const
{
	return "LED";
}

QString LEDPlugin::group() const
{
	return "BMSapp Widgets";
}

QString LEDPlugin::toolTip() const
{
	return QString("An LED");
}

QString LEDPlugin::whatsThis() const
{
	return QString("An LED");
}

QString LEDPlugin::includeFile() const
{
	return "LED.h";
}

QString LEDPlugin::domXml() const
{
   return "<ui language=\"c++\">\n"
          " <widget class=\"LED\" name=\"LEDWidget\">\n"
          " </widget>\n"
          "</ui>\n";
}

QIcon LEDPlugin::icon() const
{
	return QIcon();
}

bool LEDPlugin::isContainer() const
{
	return false;
}

QWidget * LEDPlugin::createWidget(QWidget *parent)
{
	return new LED(parent);
}

