#ifndef _LED_PLUGIN_H_
#define _LED_PLUGIN_H_

#include <QObject>
#include <QString>
#include <QWidget>
#include <QIcon>
#include <QtUiPlugin/QDesignerCustomWidgetInterface>

class LEDPlugin;

class LEDPlugin : public QObject, public QDesignerCustomWidgetInterface
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QDesignerCustomWidgetCollectionInterface")
    Q_INTERFACES(QDesignerCustomWidgetInterface)

public:
	LEDPlugin(QObject* parent=0);

    QString name() const;
    QString group() const;
    QString toolTip() const;
    QString whatsThis() const;
    QString includeFile() const;
    QIcon icon() const;
    QString domXml() const;

    bool isContainer() const;
    bool isInitialized() const;

    QWidget *createWidget(QWidget *parent);
    void initialize(QDesignerFormEditorInterface *core);

private:
    bool initialized = false;
};

#endif
